## gnudatalanguage 0.9.3

=== CMakeLists.txt ===
#
# copyright : (c) 2010 Maxime Lenoir and Alain Coulais
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#

# tested with 2.4 and doesn't seem to run.
# SA: 2.6 supports simplified if constructs, e.g. endif()
cmake_minimum_required(VERSION 2.6 FATAL_ERROR)

project(GDL)

# X.X.X CVS becomes release X.X.X+1
set(VERSION "0.9.3")
enable_testing()

include(CheckIncludeFile)
include(CheckIncludeFileCXX)
include(CheckLibraryExists)
include(CheckFunctionExists)
include(CheckCSourceRuns)
include(FindPkgConfig)
include(FindPackageHandleStandardArgs)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/CMakeModules)

#### Default cached values
set(PYTHON_MODULE OFF CACHE BOOL "Build GDL as a Python module ?")

set(X11 ON CACHE BOOL "Enable X11 ?") 
set(X11DIR "" CACHE PATH "Specify X11 directory tree")

set(READLINE ON CACHE BOOL "Enable GNU Readline ?")
set(READLINEDIR "" CACHE PATH "Specify the GNU readline directory tree")

set(OLDPLPLOT OFF CACHE BOOL "Enable old plplot ?")
set(PLPLOTDIR "" CACHE PATH "Specify the plplot directory tree")

set(GSLDIR "" CACHE PATH "Specify the GSL directory tree")

set(ZLIBDIR "" CACHE PATH "specify the Zlib directory tree")

set(WXWIDGETS ON CACHE BOOL "Enable WxWidgets ?")
set(WXWIDGETSDIR "" CACHE PATH "Specify WxWidgets directory tree")

set(UDUNITS OFF CACHE BOOL "Enable UDUNITS-2 ?")
set(UDUNITSDIR "" CACHE PATH "Specify the UDUNITS-2 directory tree")

set(PSLIB ON CACHE BOOL "Enable pslib ?")
set(PSLIBDIR "" CACHE PATH "Specify the pslib directory tree")

set(GRIB OFF CACHE BOOL "Enable Grib ?")
set(GRIBDIR "" CACHE PATH "Specifiy the GRIB directory tree")

set(MAGICK ON CACHE BOOL "Enable Magick ?")
set(MAGICKDIR "" CACHE PATH "Specifiy the ImageMagick directory tree")

set(NETCDF ON CACHE BOOL "Enable NetCDF ?")
set(NETCDFDIR "" CACHE PATH "Specifiy the netCDF directory tree")

set(HDF ON CACHE BOOL "Enable Hdf ?")
set(HDFDIR "" CACHE PATH "Specifiy the HDF directory tree")

set(HDF5 ON CACHE BOOL "Enable Hdf5 ?")
set(HDF5DIR "" CACHE PATH "Specifiy the HDF5 directory tree")

set(FFTW ON CACHE BOOL "Enable FFTW ?")
set(FFTWDIR "" CACHE PATH "Specifiy the FFTW directory tree")

set(LIBPROJ4 OFF CACHE BOOL "Enable LIBPROJ4 ?")
set(LIBPROJ4DIR "" CACHE PATH "Specifiy the LIBPROJ4 directory tree")

set(MPICH OFF CACHE BOOL "Enable MPICH ?")
set(MPICHDIR "" CACHE PATH "Specify the MPICH (experimental) directory tree")

set(PYTHON ON CACHE BOOL "Enable Python ?")
set(PYTHONDIR "" CACHE PATH "Specifiy the use Python directory tree")
set(PYTHONVERSION "" CACHE STRING "Specify the Python version to use")

set(GSHHS OFF CACHE BOOL "Enable GSHHS ?")
set(GSHHSDIR "" CACHE PATH "Specifiy the GSHHS directory tree")

set(NCURSESDIR "" CACHE PATH "Specify the ncurses (or curses) directory tree")

set(OPENMP ON CACHE BOOL "Enable OpenMP ?")

# Third party libraries
set(JASPERDIR "" CACHE PATH "Specify the JasPer directory tree")
set(JPEGDIR "" CACHE PATH "Specify the JPEG directory tree")
set(SZIPDIR "" CACHE PATH "Specify the SZip directory tree")

set(GDL_DATA_DIR "/share/gnudatalanguage" CACHE PATH "Choose data install directory relative to CMAKE_INSTALL_PREFIX")


# check for 64-bit OS
if(${CMAKE_SIZEOF_VOID_P} EQUAL 8)
	set(HAVE_64BIT_OS 1)
endif(${CMAKE_SIZEOF_VOID_P} EQUAL 8)


#### check headers and libraries

# dl
check_library_exists(dl dlopen "" HAVE_DL)
if(HAVE_DL)
	set(LIBRARIES ${LIBRARIES} dl)
endif(HAVE_DL)

# malloc stats
check_function_exists(malloc_zone_statistics HAVE_MALLOC_ZONE_STATISTICS)
check_function_exists(sbrk HAVE_SBRK)
check_function_exists(mallinfo HAVE_MALLINFO)

# mallocs
check_include_file(malloc.h HAVE_MALLOC_H)
check_include_file(malloc/malloc.h HAVE_MALLOC_MALLOC_H)

# locale
check_include_file(locale.h HAVE_LOCALE_H)

# std includes..
check_include_file(stdint.h HAVE_STDINT_H)
check_include_file(stdlib.h HAVE_STDLIB_H)
check_include_file(string.h HAVE_STRING_H)
check_include_file(strings.h HAVE_STRINGS_H)
check_include_file(sys/stat.h HAVE_SYS_STAT_H)
check_include_file(sys/types.h HAVE_SYS_TYPES_H)
check_include_file(unistd.h HAVE_UNISTD_H)
check_include_file(ext/stdio_filebuf.h HAVE_EXT_STDIO_FILEBUF_H)

# dlfcn.h
check_include_file(dlfcn.h HAVE_DLFCN_H)

# inttypes.h
check_include_file(inttypes.h HAVE_INTTYPES_H)

# nexttoward
check_library_exists(m nexttoward "" HAVE_NEXTTOWARD)

# mpi
check_include_file(mpi.h HAVE_MPI_H)

# SA: whithout it compilation of antlr fails if there's a conflicting 
#     version of antlr in system-wide directories
include_directories(src)

# Ncurses MANDATORY
# -DNCURSESDIR=DIR
set(CMAKE_PREFIX_PATH ${NCURSESDIR})	
set(CURSES_NEED_NCURSES TRUE)
find_package(Curses QUIET COMPONENTS initscr)
mark_as_advanced(CURSES_CURSES_H_PATH CURSES_FORM_LIBRARY CURSES_HAVE_CURSES_H)
if(CURSES_FOUND)
	set(HAVE_LIBNCURSES 1)
	set(LIBRARIES ${LIBRARIES} ${CURSES_LIBRARIES})
	include_directories(${CURSES_INCLUDE_DIR})
else(CURSES_FOUND)
	# search for curses
	set(CURSES_NEED_NCURSES FALSE)
	find_package(Curses COMPONENTS initscr)
	set(HAVE_LIBCURSES ${CURSES_FOUND})
	if(CURSES_FOUND)
		set(LIBRARIES ${LIBRARIES} ${CURSES_LIBRARIES})
		include_directories(${CURSES_INCLUDE_DIR})
	else(CURSES_FOUND)
		message(FATAL_ERROR "(N)Curses was not found.\n"
		"Use -DNCURSESDIR=DIR to specify the (n)curses directory tree.")
	endif(CURSES_FOUND)
endif(CURSES_FOUND)

# Readline
# -DREADLINE=ON|OFF
# -DREADLINEDIR=DIR
if(READLINE)
	# readline needs (n)curses
	set(CMAKE_PREFIX_PATH ${READLINEDIR})
	find_package(Readline QUIET)
	set(HAVE_LIBREADLINE ${READLINE_FOUND})
	if(READLINE_FOUND)
		set(CMAKE_REQUIRED_LIBRARIES ${CURSES_LIBRARIES})
		check_library_exists("${READLINE_LIBRARIES}" rl_get_screen_size "" RL_GET_SCREEN_SIZE)
		if(NOT RL_GET_SCREEN_SIZE)
			message(STATUS "WARNING: Older GNU readline without rl_get_screen_size was found.\n"
			"For resized terminals the size might not be updated correctly.\n"
			"If this is a problem please install a recent version of readline.")
		endif(NOT RL_GET_SCREEN_SIZE)
		set(LIBRARIES ${LIBRARIES} ${READLINE_LIBRARIES})
		include_directories(${READLINE_INCLUDE_DIR})
		set(CMAKE_REQUIRED_LIBRARIES)
	else(READLINE_FOUND)
		message(FATAL_ERROR "GNU readline was not found.\n"
		  "Use -DREADLINEDIR=no to explicitely disable it.\n"
                  "(suitable Debian/Ubuntu package: libreadline5-dev)\n"
                  "(suitable Fedora package: readline-devel)")
	endif(READLINE_FOUND)
endif(READLINE)

# zlib MANDATORY
# -DZLIBDIR=DIR
set(CMAKE_PREFIX_PATH ${ZLIBDIR})
find_package(ZLIB QUIET)
set(HAVE_LIBZ ${ZLIB_FOUND})
if(ZLIB_FOUND)
	set(LIBRARIES ${LIBRARIES} ${ZLIB_LIBRARIES})
	include_directories(${ZLIB_INCLUDE_DIR})
else(ZLIB_FOUND)
	message(FATAL_ERROR "ZLib library is required but was not found.\n"
	"Use -DZLIBDIR=DIR to specify the zlib directory tree.\n"
        "(suitable Debian/Ubuntu package: zlib1g-dev)\n"
        "(suitable Fedora package: zlib-devel)")
endif(ZLIB_FOUND)

# openmp
# -DOPENMP=ON|OFF
if(OPENMP)
	find_package(OpenMP QUIET)
	if(OPENMP_FOUND)
		add_definitions(${OpenMP_CXX_FLAGS})
		if(WIN32 AND NOT CYGWIN)
			set(LIBRARIES ${LIBRARIES} vcomp)
		else(WIN32 AND NOT CYGWIN)
			set(LIBRARIES ${LIBRARIES} ${OpenMP_CXX_FLAGS})
		endif(WIN32 AND NOT CYGWIN)
	endif(OPENMP_FOUND)
endif(OPENMP)

# GSL MANDATORY
# -DGSLDIR=DIR
set(CMAKE_PREFIX_PATH ${GSLDIR})
find_package(GSL QUIET)
set(HAVE_LIBGSL ${GSL_FOUND})
set(HAVE_LIBGSLCBLAS ${GSL_FOUND})
if(GSL_FOUND)
	set(LIBRARIES ${LIBRARIES} ${GSL_LIBRARIES})
	include_directories(${GSL_INCLUDE_DIR})
else(GSL_FOUND)
	message(FATAL_ERROR "Gnu Scientific library (1.7 or higher) and libgslcblas are mandatory.\n"
	"Use -DGSLDIR=DIR to specify the gsl directory tree.\n"
        "(suitable Debian/Ubuntu package: libgsl0-dev)\n"
        "(suitable Fedora package: gsl-devel)")
endif(GSL_FOUND)

if(WIN32 AND NOT CYGWIN)
set(CMAKE_PREFIX_PATH ${XDRDIR})
find_package(xdr)
set(HAVE_LIBXDR ${XDR_FOUND})
if(XDR_FOUND)
	set(LIBRARIES ${LIBRARIES} ${XDR_LIBRARIES})
	include_directories(${XDR_INCLUDE_DIR})
else(XDR_FOUND)
	message(FATAL_ERROR "bsd-xdr library is required but was not found.\n"
	"Use -DXDRDIR=DIR to specify the bsd-xdr directory tree.")
endif(XDR_FOUND)

set(CMAKE_PREFIX_PATH ${PCREDIR})
find_package(pcre)
set(HAVE_LIBPCRE ${PCRE_FOUND})
if(PCRE_FOUND)
	set(LIBRARIES ${LIBRARIES} ${PCRE_LIBRARIES})
	include_directories(${PCRE_INCLUDE_DIR})
else(PCRE_FOUND)
	message(FATAL_ERROR "pcre library is required but was not found.\n"
	"Use -DPCREDIR=DIR to specify the pcre directory tree.")
endif(PCRE_FOUND)
LINK_LIBRARIES(shlwapi)
endif(WIN32 AND NOT CYGWIN)

# PLplot MANDATORY
# -DOLDPLPLOT=ON|OFF
# -DPLPLOTDIR=DIR
set(HAVE_OLDPLPLOT ${OLDPLPLOT})
set(CMAKE_PREFIX_PATH ${PLPLOTDIR})
find_package(Plplot QUIET)
set(HAVE_LIBPLPLOTCXXD ${PLPLOT_FOUND})
if(PLPLOT_FOUND)
	set(LIBRARIES ${LIBRARIES} ${PLPLOT_LIBRARIES})
	include_directories(${PLPLOT_INCLUDE_DIR})
else(PLPLOT_FOUND)
	message(FATAL_ERROR "plplot library is required but was not found.\n"
	"Use -DPLPLOTDIR=DIR to specify the plplot directory tree.\n"
        "(suitable Debian/Ubuntu packages: libplplot-dev, [plplot9-driver-xwin])"
        "(suitable Fedora package: plplot-devel)")
endif(PLPLOT_FOUND)

check_library_exists("${PLPLOT_LIBRARIES}" plP_mmpcx "" HAVE_PLPLOT_BEFORE_5994)
if(HAVE_PLPLOT_BEFORE_5994)
  message(STATUS "OK for XYOUTS in plplot")
else(HAVE_PLPLOT_BEFORE_5994)
  message(STATUS "warning for XYOUTS in plplot")
endif(HAVE_PLPLOT_BEFORE_5994)

if(MAGICK) # support Magick
	check_library_exists("${PLPLOT_LIBRARIES}" plGetDrvDir "" HAVE_PLGETDRVDIR)
	if(HAVE_PLGETDRVDIR)
		message(STATUS "WARNING: Dynamic drivers have to be disabled in plplot.\n"
		"To make plplot work with ImageMagick:\n"
		"use -DENABLE_DYNDRIVERS=OFF cmake option when compiling plplot or\n"
		"use -DMAGICK=OFF here to not use ImageMagick in GDL.")
	endif(HAVE_PLGETDRVDIR)
endif(MAGICK)

# wxWdigets
# -DWXWIDGET=ON|OFF
# -DWXWIDGETDIR=DIR
if(WXWIDGETS)
	set(CMAKE_PREFIX_PATH ${WXWIDGETSDIR})
	find_package(wxWidgets QUIET)
	set(HAVE_LIBWXWIDGETS ${wxWidgets_FOUND})
	if(wxWidgets_FOUND)
		set(LIBRARIES ${LIBRARIES} ${wxWidgets_LIBRARIES})
		set(LINK_DIRECTORIES ${LINK_DIRECTORIES} ${wxWidgets_LIBRARY_DIRS})
		foreach(WXDEF ${wxWidgets_DEFINITIONS})
			add_definitions(-D${WXDEF})
		endforeach(WXDEF ${wxWidgets_DEFINITIONS})
		include_directories(${wxWidgets_INCLUDE_DIRS})
	else(wxWidgets_FOUND)
		message(FATAL_ERROR "wxWidgets are required but were not found.\n"
		"Use -DWXWIDGETSDIR=DIR to specify the wxWidgets directory tree.\n"
		"Use -DWXWIDGETS=OFF to not use it.\n"
                "(suitable Debian/Ubuntu package: libwxgtk2.8-dev)\n"
                "(suitable Fedora package: wxGTK-devel)")
	endif(wxWidgets_FOUND)
endif(WXWIDGETS)

# Magick
# -DMAGICK=ON|OFF
# -DMAGICKDIR=DIR
if(MAGICK)
	set(CMAKE_PREFIX_PATH ${MAGICKDIR})
	find_package(ImageMagick QUIET COMPONENTS Magick++ MagickWand MagickCore)
	mark_as_advanced(ImageMagick_EXECUTABLE_DIR ImageMagick_Magick++_INCLUDE_DIR ImageMagick_Magick++_LIBRARY
	ImageMagick_MagickCore_INCLUDE_DIR ImageMagick_MagickCore_LIBRARY ImageMagick_MagickWand_INCLUDE_DIR ImageMagick_MagickWand_LIBRARY)
	set(USE_MAGICK ${ImageMagick_FOUND})
	if(ImageMagick_FOUND)
		find_program(MAGICKXXCONFIG Magick++-config)
		if(MAGICKXXCONFIG)
			execute_process(COMMAND ${MAGICKXXCONFIG} "--libs" OUTPUT_VARIABLE MAGICKXXCONFIGLIBS OUTPUT_STRIP_TRAILING_WHITESPACE)
			set(LIBRARIES ${LIBRARIES} ${MAGICKXXCONFIGLIBS})		
		else(MAGICKXXCONFIG)
			message(FATAL_ERROR "ImageMagick is required but was not found (Magick++-config).\n"
			"Use -DMAGICKDIR=DIR to specify the ImageMagick directory.\n"
			"Use -DMAGICK=OFF to not use it.\n"
                        "(suitable Debian/Ubuntu package: libmagick++-dev)\n"

=== Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/marc/gdl/testsuite

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/marc/gdl

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/marc/gdl/CMakeFiles /home/marc/gdl/CMakeFiles/progress.marks
	$(MAKE) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/marc/gdl/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named check

# Build rule for target.
check: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 check
.PHONY : check

# fast build rule for target.
check/fast:
	$(MAKE) -f CMakeFiles/check.dir/build.make CMakeFiles/check.dir/build
.PHONY : check/fast

#=============================================================================
# Target rules for targets named launchtest

# Build rule for target.
launchtest: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 launchtest
.PHONY : launchtest

# fast build rule for target.
launchtest/fast:
	$(MAKE) -f CMakeFiles/launchtest.dir/build.make CMakeFiles/launchtest.dir/build
.PHONY : launchtest/fast

#=============================================================================
# Target rules for targets named test_ce

# Build rule for target.
test_ce: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 test_ce
.PHONY : test_ce

# fast build rule for target.
test_ce/fast:
	$(MAKE) -f CMakeFiles/test_ce.dir/build.make CMakeFiles/test_ce.dir/build
.PHONY : test_ce/fast

# target to build an object file
libtest_ce.o:
	$(MAKE) -f CMakeFiles/test_ce.dir/build.make CMakeFiles/test_ce.dir/libtest_ce.o
.PHONY : libtest_ce.o

# target to preprocess a source file
libtest_ce.i:
	$(MAKE) -f CMakeFiles/test_ce.dir/build.make CMakeFiles/test_ce.dir/libtest_ce.i
.PHONY : libtest_ce.i

# target to generate assembly for a file
libtest_ce.s:
	$(MAKE) -f CMakeFiles/test_ce.dir/build.make CMakeFiles/test_ce.dir/libtest_ce.s
.PHONY : libtest_ce.s

# target to build an object file
testsuite/launchtest.o:
	$(MAKE) -f CMakeFiles/launchtest.dir/build.make CMakeFiles/launchtest.dir/testsuite/launchtest.o
.PHONY : testsuite/launchtest.o

# target to preprocess a source file
testsuite/launchtest.i:
	$(MAKE) -f CMakeFiles/launchtest.dir/build.make CMakeFiles/launchtest.dir/testsuite/launchtest.i
.PHONY : testsuite/launchtest.i

# target to generate assembly for a file
testsuite/launchtest.s:
	$(MAKE) -f CMakeFiles/launchtest.dir/build.make CMakeFiles/launchtest.dir/testsuite/launchtest.s
.PHONY : testsuite/launchtest.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... check"
	@echo "... edit_cache"
	@echo "... launchtest"
	@echo "... rebuild_cache"
	@echo "... test_ce"
	@echo "... libtest_ce.o"
	@echo "... libtest_ce.i"
	@echo "... libtest_ce.s"
	@echo "... testsuite/launchtest.o"
	@echo "... testsuite/launchtest.i"
	@echo "... testsuite/launchtest.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== src/CMakeLists.txt ===
set(SOURCES
CFMTLexer.cpp
CFMTLexer.hpp
CFMTTokenTypes.hpp
FMTIn.cpp
FMTIn.hpp
FMTInTokenTypes.hpp
FMTLexer.cpp
FMTLexer.hpp
FMTOut.cpp
FMTOut.hpp
FMTOutTokenTypes.hpp
FMTParser.cpp
FMTParser.hpp
FMTTokenTypes.hpp
GDLInterpreter.cpp
GDLInterpreter.hpp
GDLInterpreterTokenTypes.hpp
GDLLexer.cpp
GDLLexer.hpp
GDLParser.cpp
GDLParser.hpp
GDLTokenTypes.hpp
GDLTreeParser.cpp
GDLTreeParser.hpp
GDLTreeParserTokenTypes.hpp
accessdesc.hpp
allix.hpp
allix.cpp
arrayindex.cpp
arrayindex.hpp
arrayindexlistt.hpp
arrayindexlistnoassoct.hpp
assocdata.cpp
assocdata.hpp
basegdl.cpp
basegdl.hpp
basic_fun.cpp
basic_fun.hpp
basic_fun_cl.cpp
basic_fun_cl.hpp
basic_fun_jmg.cpp
basic_fun_jmg.hpp
basic_op.cpp
basic_pro.cpp
basic_pro.hpp
basic_pro_jmg.cpp
basic_pro_jmg.hpp
cformat.g
color.cpp
color.hpp
convert2.cpp
convol.cpp
convol_inc0.cpp
convol_inc1.cpp
convol_inc2.cpp
datalistt.hpp
datatypes.cpp
datatypes.hpp
datatypesref.cpp
dcommon.cpp
dcommon.hpp
dcompiler.cpp
dcompiler.hpp
default_io.cpp
deviceps.hpp
devicesvg.hpp
devicewin.hpp
devicex.hpp
devicez.hpp
dimension.hpp
dinterpreter.cpp
dinterpreter.hpp
dnode.cpp
dnode.hpp
dnodefactory.hpp
dpro.cpp
dpro.hpp
dstructdesc.cpp
dstructdesc.hpp
dstructgdl.cpp
dstructgdl.hpp
dvar.cpp
dvar.hpp
envt.cpp
envt.hpp
extrat.cpp
extrat.hpp
fftw.cpp
fftw.hpp
file.cpp
file.hpp
fmtnode.cpp
fmtnode.hpp
format.g
format.in.g
format.out.g
gdlc.g
gdlc.i.g
gdlc.tree.g
gdleventhandler.cpp
gdleventhandler.hpp
gdlexception.cpp
gdlexception.hpp
gdlgstream.cpp
gdlgstream.hpp
gdljournal.cpp
gdljournal.hpp
gdlpsstream.cpp
gdlpsstream.hpp
gdlpython.cpp
gdlpython.hpp
gdlsvgstream.cpp
gdlsvgstream.hpp
gdlwidget.cpp
gdlwidget.hpp
gdlwinstream.cpp
gdlwinstream.hpp
gdlxstream.cpp
gdlxstream.hpp
gdlzstream.cpp
gdlzstream.hpp
getfmtast.cpp
getfmtast.hpp
graphics.cpp
graphics.hpp
grib.cpp
grib.hpp
gshhs.cpp
gshhs.hpp
gsl_fun.cpp
gsl_fun.hpp
gsl_matrix.cpp
gsl_matrix.hpp
gzstream.hpp
hdf5_fun.cpp
hdf5_fun.hpp
hdf_fun.cpp
hdf_fun.hpp
hdf_pro.cpp
hdf_pro.hpp
ifmt.cpp
image.cpp
image.hpp
initct.cpp
initsysvar.cpp
initsysvar.hpp
io.cpp
io.hpp
lapack.cpp
libinit.cpp
libinit_ac.cpp
libinit_cl.cpp
libinit_gm.cpp
libinit_jmg.cpp
libinit_mes.cpp
libinit_ng.cpp
magick_cl.cpp
magick_cl.hpp
math_fun.cpp
math_fun.hpp
math_fun_ac.cpp
math_fun_ac.hpp
math_fun_gm.cpp
math_fun_gm.hpp
math_fun_jmg.cpp
math_fun_jmg.hpp
math_fun_ng.cpp
math_fun_ng.hpp
math_utl.cpp
math_utl.hpp
mpi.cpp
mpi.hpp
ncdf_att_cl.cpp
ncdf_cl.cpp
ncdf_cl.hpp
ncdf_dim_cl.cpp
ncdf_var_cl.cpp
new.cpp
new.hpp
newprognode.cpp
nullgdl.cpp
nullgdl.hpp
objects.cpp
objects.hpp
ofmt.cpp
ofmt.hpp
overload.cpp
overload.hpp
plotting_axis.cpp
plotting_contour.cpp
plotting_convert_coord.cpp
plotting_cursor.cpp
plotting_device.cpp
plotting_erase.cpp
plotting_map_proj.cpp
plotting_misc.cpp
plotting_oplot.cpp
plotting_plot.cpp
plotting_plots.cpp
plotting_polyfill.cpp
plotting_surface.cpp
plotting_windows.cpp
plotting_xyouts.cpp
plotting.cpp
plotting.hpp
print.cpp
print_tree.cpp
print_tree.hpp
prognode.cpp
prognode_lexpr.cpp
prognodeexpr.cpp
read.cpp
real2int.hpp
semshm.cpp
semshm.hpp
sigfpehandler.cpp
sigfpehandler.hpp
specializations.hpp
str.cpp
str.hpp
strassenmatrix.hpp
terminfo.cpp
terminfo.hpp
topython.cpp
typedefs.hpp
typetraits.cpp
typetraits.hpp
widget.cpp
)

if(WIN32 AND NOT CYGWIN)
set(SOURCES
${SOURCES}
gtdhelper.cpp
gtdhelper.hpp
)
endif(WIN32 AND NOT CYGWIN)

add_subdirectory(antlr)

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_SOURCE_DIR}/src ${CMAKE_SOURCE_DIR}/src/antlr ${CMAKE_BINARY_DIR})
link_directories(${LINK_DIRECTORIES})

if(PYTHON_MODULE) #libgdl
	set(SOURCES ${SOURCES} pythongdl.cpp)
	add_library(gdl SHARED ${SOURCES})
else(PYTHON_MODULE) #gdl
	set(SOURCES ${SOURCES} gdl.cpp)
	add_executable(gdl ${SOURCES})
endif(PYTHON_MODULE)

add_dependencies(gdl antlr) # be sure that antlr is built before gdl
target_link_libraries(gdl antlr) # link antlr against gdl
target_link_libraries(gdl ${LIBRARIES})
add_definitions(-DHAVE_CONFIG_H)

if(PYTHON_MODULE)
#	TODO: this library should go to Python library path (site-packages?)
#	install(TARGETS gdl DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)
else(PYTHON_MODULE)
	install(TARGETS gdl DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
	set_target_properties(gdl PROPERTIES INSTALL_RPATH_USE_LINK_PATH TRUE)
endif(PYTHON_MODULE)

install(DIRECTORY ${CMAKE_SOURCE_DIR}/src/pro/ DESTINATION ${CMAKE_INSTALL_PREFIX}/${GDL_DATA_DIR}/lib
	PATTERN CVS EXCLUDE
	PATTERN checks EXCLUDE
	PATTERN Makefile* EXCLUDE
	PATTERN UrgentNeed.txt EXCLUDE)

=== debian/changelog ===
gnudatalanguage (0.9.3-2) unstable; urgency=low

  * Upload to unstable.
  * Revamp debian/rules
    - Allow parallel builds
    - Use debian/manpages instead of dh_installman parameter
    - Switch to dh7 style debian/rules file
  * Bump debhelper compatibility to 9
    - Update versioned debhelper build-dependency
  * Bump Standards-Version to 3.9.4 (no changes)
  * Apply wrap-and-sort

 -- Axel Beckert <abe@debian.org>  Wed, 15 May 2013 02:23:58 +0200

gnudatalanguage (0.9.3-1) experimental; urgency=low

  * New upstream release (Closes: #696835)
    - Drop patch fix-muldefs, applied upstream
    - Refresh patch build-with-debian-antlr-instead-embedded-one
    - Drop patch remove-plot3d-nr-cpp-660260, no more needed
    - Drop patch disable-plstrl-and-plP_mmpcx. no more needed
    - Drop patch manpage-fixes, applied upstream
    - Drop lintian override for configure-generated-file-in-source
    - debian/rules: Remove no more needed clean excludes
  * Enable upstream's experimental testsuite, but ignore the result for
    now.
  * Use dh_auto_{configure,build,install}
  * clean target: Remove Makefile if it was generated by CMake

 -- Axel Beckert <abe@debian.org>  Fri, 04 Jan 2013 22:35:21 +0100

=== debian/control ===
Source: gnudatalanguage
Maintainer: Axel Beckert <abe@debian.org>
Uploaders: Gürkan Sengün <gurkan@phys.ethz.ch>
Section: interpreters
Priority: extra
Build-Depends: autotools-dev,
               debhelper (>= 9~),
               dh-autoreconf,
               dpkg-dev (>= 1.16.1~),
               libantlr-dev,
               libfftw3-dev,
               libgrib-api-dev [i386 amd64 ia64 powerpc s390 alpha armel mipsel kfreebsd-amd64 kfreebsd-i386 armhf],
               libgsl0-dev,
               libhdf4-alt-dev,
               libhdf5-dev | libhdf5-serial-dev,
               libmagick++-dev,
               libnetcdf-dev,
               libplplot-dev,
               libreadline-dev,
               libudunits2-dev,
               libwxgtk2.8-dev,
               pslib-dev,
               python-all-dev,
               python-numpy,
               zlib1g-dev
Standards-Version: 3.9.4
Homepage: http://gnudatalanguage.sourceforge.net/
Vcs-Git: git://anonscm.debian.org/collab-maint/gnudatalanguage.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gnudatalanguage.git

Package: gnudatalanguage
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: plplot11-driver-xwin, python-numpy
Description: Free IDL compatible incremental compiler
 A free IDL (Interactive Data Language) compatible incremental compiler.
 It has full syntax compatibility with IDL 7.1. IDL is a registered trademark
 of ITT Visual Information Solutions.

## gnudatalanguage 0.9.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,13 +14,14 @@
 project(GDL)
 
 # X.X.X CVS becomes release X.X.X+1
-set(VERSION "0.9.3")
+set(VERSION "0.9.4")
 enable_testing()
 
 include(CheckIncludeFile)
 include(CheckIncludeFileCXX)
 include(CheckLibraryExists)
 include(CheckFunctionExists)
+include(CheckSymbolExists)
 include(CheckCSourceRuns)
 include(FindPkgConfig)
 include(FindPackageHandleStandardArgs)
@@ -49,14 +50,22 @@
 set(UDUNITS OFF CACHE BOOL "Enable UDUNITS-2 ?")
 set(UDUNITSDIR "" CACHE PATH "Specify the UDUNITS-2 directory tree")
 
+set(EIGEN3 ON CACHE BOOL "Enable Eigen3 ?")
+set(EIGEN3DIR "" CACHE PATH "Specify the Eigen3 directory tree")
+
 set(PSLIB ON CACHE BOOL "Enable pslib ?")
 set(PSLIBDIR "" CACHE PATH "Specify the pslib directory tree")
 
 set(GRIB OFF CACHE BOOL "Enable Grib ?")
 set(GRIBDIR "" CACHE PATH "Specifiy the GRIB directory tree")
 
-set(MAGICK ON CACHE BOOL "Enable Magick ?")
+
+set(MAGICK ON CACHE BOOL "Enable ImageMagick ?")
 set(MAGICKDIR "" CACHE PATH "Specifiy the ImageMagick directory tree")
+
+# GraphicsMagick is a good alternative to ImageMagick
+set(GRAPHICSMAGICK ON CACHE BOOL "Enable GraphicsMagick ?")
+set(GRAPHICSMAGICKDIR "" CACHE PATH "Specify the GraphicsMagick directory tree")
 
 set(NETCDF ON CACHE BOOL "Enable NetCDF ?")
 set(NETCDFDIR "" CACHE PATH "Specifiy the netCDF directory tree")
@@ -285,62 +294,60 @@
         "(suitable Fedora package: plplot-devel)")
 endif(PLPLOT_FOUND)
 
-check_library_exists("${PLPLOT_LIBRARIES}" plP_mmpcx "" HAVE_PLPLOT_BEFORE_5994)
-if(HAVE_PLPLOT_BEFORE_5994)
-  message(STATUS "OK for XYOUTS in plplot")
-else(HAVE_PLPLOT_BEFORE_5994)
-  message(STATUS "warning for XYOUTS in plplot")
-endif(HAVE_PLPLOT_BEFORE_5994)
+if(PLPLOT_FOUND)
+	check_library_exists("${PLPLOT_LIBRARIES}" c_plslabelfunc "" HAVE_PLPLOT_SLABELFUNC)
+	if(HAVE_PLPLOT_SLABELFUNC)
+	  set(HAVE_PLPLOT_SLABELFUNC 1)
+	else(HAVE_PLPLOT_SLABELFUNC)
+	  message(STATUS "warning, due to old plplot library, [XYZ]TICKFORMAT option for plot axis will not be supported.\n"
+	    "you should upgrade to plplot version > 5.9.6")
+	endif(HAVE_PLPLOT_SLABELFUNC)
+	check_library_exists("${PLPLOT_LIBRARIES}" plstrl "" PLPLOT_PRIVATE_NOT_HIDDEN)
+	if(PLPLOT_PRIVATE_NOT_HIDDEN)
+	  set(PLPLOT_PRIVATE_NOT_HIDDEN 1)
+	else(PLPLOT_PRIVATE_NOT_HIDDEN)
+	  message(STATUS "Using a plplot library without private functions - workarounds will be used.")
+	endif(PLPLOT_PRIVATE_NOT_HIDDEN)
+	check_library_exists("${PLPLOT_LIBRARIES}" c_pllegend "" PLPLOT_HAS_LEGEND)
+	if(PLPLOT_HAS_LEGEND)
+	  set(PLPLOT_HAS_LEGEND 1)
+	else(PLPLOT_HAS_LEGEND)
+	  message(STATUS "Your plplot lib is too old for some gdl functions, please upgrade.")
+	endif(PLPLOT_HAS_LEGEND)
+endif(PLPLOT_FOUND)
+	
+# GRAPHICSMAGICK is an alternative to the classical ImageMagick Lib.
+#
+# -DGRAPHICSMAGICK=ON|OFF
+# -DGRAPHICSMAGICKDIR=DIR
+if(GRAPHICSMAGICK)
+	if (MAGICK_FOUND)
+	   message("We prefer to use GraphicsMagick than ImageMagick")
+	   set(MAGICK off)
+	endif(MAGICK_FOUND)
+	set(CMAKE_PREFIX_PATH ${GRAPHICSMAGICKDIR})
+	find_package(GraphicsMagick QUIET)
+	set(USE_MAGICK ${GRAPHICSMAGICK_FOUND})
+	if(GRAPHICSMAGICK_FOUND)
+		include_directories(${GRAPHICSMAGICK_INCLUDE_DIR})	
+		set(LIBRARIES ${LIBRARIES} ${GRAPHICSMAGICK_LIBRARIES})		
+	else(GRAPHICSMAGICK_FOUND)
+		message( STATUS
+		"GRAPHICSMAGICK is strongly suggested but was not found.
+		Use -DGRAPHICSMAGICKDIR=DIR to specify the GraphicsMagick directory tree.
+		Use -DGRAPHICSMAGICK=OFF to not use it.
+                (suitable Fedora package: GraphicsMagick-c++-devel
+		   Debian/Ubuntu package: libgraphicsmagick++1-devel)\n")
+		message( STATUS 
+		"Looking for ImageMagick")
+	endif(GRAPHICSMAGICK_FOUND)
+endif(GRAPHICSMAGICK)
+
+if(GRAPHICSMAGICK_FOUND)
+	set(MAGICK OFF)
+endif(GRAPHICSMAGICK_FOUND)
 
 if(MAGICK) # support Magick
 	check_library_exists("${PLPLOT_LIBRARIES}" plGetDrvDir "" HAVE_PLGETDRVDIR)
 	if(HAVE_PLGETDRVDIR)
 		message(STATUS "WARNING: Dynamic drivers have to be disabled in plplot.\n"
-		"To make plplot work with ImageMagick:\n"
-		"use -DENABLE_DYNDRIVERS=OFF cmake option when compiling plplot or\n"
-		"use -DMAGICK=OFF here to not use ImageMagick in GDL.")
-	endif(HAVE_PLGETDRVDIR)
-endif(MAGICK)
-
-# wxWdigets
-# -DWXWIDGET=ON|OFF
-# -DWXWIDGETDIR=DIR
-if(WXWIDGETS)
-	set(CMAKE_PREFIX_PATH ${WXWIDGETSDIR})
-	find_package(wxWidgets QUIET)
-	set(HAVE_LIBWXWIDGETS ${wxWidgets_FOUND})
-	if(wxWidgets_FOUND)
-		set(LIBRARIES ${LIBRARIES} ${wxWidgets_LIBRARIES})
-		set(LINK_DIRECTORIES ${LINK_DIRECTORIES} ${wxWidgets_LIBRARY_DIRS})
-		foreach(WXDEF ${wxWidgets_DEFINITIONS})
-			add_definitions(-D${WXDEF})
-		endforeach(WXDEF ${wxWidgets_DEFINITIONS})
-		include_directories(${wxWidgets_INCLUDE_DIRS})
-	else(wxWidgets_FOUND)
-		message(FATAL_ERROR "wxWidgets are required but were not found.\n"
-		"Use -DWXWIDGETSDIR=DIR to specify the wxWidgets directory tree.\n"
-		"Use -DWXWIDGETS=OFF to not use it.\n"
-                "(suitable Debian/Ubuntu package: libwxgtk2.8-dev)\n"
-                "(suitable Fedora package: wxGTK-devel)")
-	endif(wxWidgets_FOUND)
-endif(WXWIDGETS)
-
-# Magick
-# -DMAGICK=ON|OFF
-# -DMAGICKDIR=DIR
-if(MAGICK)
-	set(CMAKE_PREFIX_PATH ${MAGICKDIR})
-	find_package(ImageMagick QUIET COMPONENTS Magick++ MagickWand MagickCore)
-	mark_as_advanced(ImageMagick_EXECUTABLE_DIR ImageMagick_Magick++_INCLUDE_DIR ImageMagick_Magick++_LIBRARY
-	ImageMagick_MagickCore_INCLUDE_DIR ImageMagick_MagickCore_LIBRARY ImageMagick_MagickWand_INCLUDE_DIR ImageMagick_MagickWand_LIBRARY)
-	set(USE_MAGICK ${ImageMagick_FOUND})
-	if(ImageMagick_FOUND)
-		find_program(MAGICKXXCONFIG Magick++-config)
-		if(MAGICKXXCONFIG)
-			execute_process(COMMAND ${MAGICKXXCONFIG} "--libs" OUTPUT_VARIABLE MAGICKXXCONFIGLIBS OUTPUT_STRIP_TRAILING_WHITESPACE)
-			set(LIBRARIES ${LIBRARIES} ${MAGICKXXCONFIGLIBS})		
-		else(MAGICKXXCONFIG)
-			message(FATAL_ERROR "ImageMagick is required but was not found (Magick++-config).\n"
-			"Use -DMAGICKDIR=DIR to specify the ImageMagick directory.\n"
-			"Use -DMAGICK=OFF to not use it.\n"
-                        "(suitable Debian/Ubuntu package: libmagick++-dev)\n"

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -133,6 +133,8 @@
 gsl_matrix.cpp
 gsl_matrix.hpp
 gzstream.hpp
+hash.cpp
+hash.hpp
 hdf5_fun.cpp
 hdf5_fun.hpp
 hdf_fun.cpp
@@ -155,6 +157,8 @@
 libinit_jmg.cpp
 libinit_mes.cpp
 libinit_ng.cpp
+list.cpp
+list.hpp
 magick_cl.cpp
 magick_cl.hpp
 math_fun.cpp
@@ -169,6 +173,8 @@
 math_fun_ng.hpp
 math_utl.cpp
 math_utl.hpp
+matrix_cholesky.cpp
+matrix_cholesky.hpp
 mpi.cpp
 mpi.hpp
 ncdf_att_cl.cpp
@@ -199,6 +205,7 @@
 plotting_plot.cpp
 plotting_plots.cpp
 plotting_polyfill.cpp
+plotting_shade_surf.cpp
 plotting_surface.cpp
 plotting_windows.cpp
 plotting_xyouts.cpp

=== testsuite/CMakeLists.txt ===
set(BASE_SOURCE ${CMAKE_SOURCE_DIR})
set(BASE_BINARY ${CMAKE_BINARY_DIR})
# write the test launcher
set(LAUNCH
"#include<unistd.h>
#include<stdlib.h>
#include<stdio.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <sys/wait.h>
#include<sched.h>
int main(int c,char**v) {
char*p;
if(c!=2) return 1;
for(p=v[1];*p;++p);
if(p-4<v[1]) return 1;
if(p[-1]!='o'||p[-2]!='r'||p[-3]!='p'||p[-4]!='.') return 1;
*(p-4)=0;
setenv(\"LC_COLLATE\",\"C\",1);
setenv(\"GDL_PATH\",\"+${BASE_SOURCE}/testsuite/:+${BASE_SOURCE}/src/pro/\",1);
unsetenv(\"GDL_STARTUP\");
unsetenv(\"IDL_STARTUP\");
int devnull = open(\"/dev/null\",O_RDONLY);
dup2(devnull, 0);
int child_pid = fork();
if(child_pid == 0) {
  execl(\"${BASE_BINARY}/src/gdl\",\"-quiet\",\"-e\",v[1],(char*)0);
  exit(1);
} else {
  sched_yield();
  int child_status;
  waitpid(child_pid, &child_status, 0);
  if (WEXITSTATUS(child_status) == 77) {
    printf(\"TEST SKIPPED\");
    exit(0);
  } else if (WIFSIGNALED(child_status)) {
    printf(\"TEST EXITED FROM SIGNAL %d\", WTERMSIG(child_status));
    exit(1);
  } else {
    exit(WEXITSTATUS(child_status));
  }
}
}
")
file(WRITE ${CMAKE_SOURCE_DIR}/testsuite/launchtest.c "${LAUNCH}")
add_executable(launchtest EXCLUDE_FROM_ALL ${CMAKE_SOURCE_DIR}/testsuite/launchtest.c)
add_library(test_ce SHARED EXCLUDE_FROM_ALL libtest_ce.cpp)
add_custom_target(check COMMAND ${CMAKE_BUILD_TOOL} test DEPENDS launchtest test_ce)
get_target_property(LAUNCHTESTLOCATION launchtest LOCATION)
execute_process(
  COMMAND "fgrep" ".pro" "${BASE_SOURCE}/testsuite/Makefile.am" 
  COMMAND "awk" "{printf(\"%s;\",$1)}" 
  OUTPUT_VARIABLE TESTS)
foreach(TEST ${TESTS})
	add_test(${TEST} ${LAUNCHTESTLOCATION} ${TEST})
endforeach(TEST TESTS)

=== debian/changelog ===
gnudatalanguage (0.9.4-1ubuntu2) trusty; urgency=medium

  * Update plplot12-driver-xwin recommendation.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 06 Mar 2014 14:19:00 +0100

gnudatalanguage (0.9.4-1ubuntu1) trusty; urgency=medium

  * Fix build failure with plplot-5.10.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 27 Feb 2014 15:56:45 +0100

gnudatalanguage (0.9.4-1build1) trusty; urgency=low

  * No-change rebuild for new grib-api.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 07 Dec 2013 17:38:08 -0500

gnudatalanguage (0.9.4-1) unstable; urgency=low

  * New upstream release
    + Refresh patches

 -- Axel Beckert <abe@debian.org>  Sun, 29 Sep 2013 16:19:44 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libhdf5-dev | libhdf5-serial-dev,
                libmagick++-dev,
                libnetcdf-dev,
-               libplplot-dev,
+               libplplot-dev (>= 5.10),
                libreadline-dev,
                libudunits2-dev,
                libwxgtk2.8-dev,
@@ -31,7 +31,7 @@
 Package: gnudatalanguage
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: plplot11-driver-xwin, python-numpy
+Recommends: plplot12-driver-xwin, python-numpy
 Description: Free IDL compatible incremental compiler
  A free IDL (Interactive Data Language) compatible incremental compiler.
  It has full syntax compatibility with IDL 7.1. IDL is a registered trademark

=== debian/rules ===
#!/usr/bin/make -f

ifeq ($(DEB_BUILD_ARCH),$(filter i386 amd64 ia64 powerpc s390 alpha armel mipsel kfreebsd-amd64 kfreebsd-i386 armhf,$(DEB_BUILD_ARCH)))
	GRIP = --with-grib
else
	GRIP = --without-grib
endif

%:
	dh $@ --parallel --with autoreconf

override_dh_autoreconf:
	tar cf antlr.tar src/antlr
	# Add here commands to configure the package.
	dh_autoreconf

override_dh_auto_configure:
	# Patched source FTBFS if this embedded code copy is present
	rm -rf src/antlr
	dh_auto_configure -- --with-fftw=yes --with-python=yes --with-wxWidgets $(GRIP) --with-udunits --with-pslib

override_dh_auto_test:
	-dh_auto_test --parallel

override_dh_auto_clean:
	if [ -f  antlr.tar ]; then tar xf antlr.tar; fi
	rm -f antlr.tar
	# The Makefile shipped in the .orig.tar.gz is generated from
	# CMake and hence even the clean target requires cmake. Meh.
	# If such a Makefile is still present, delete it.
	if [ -f Makefile ] && fgrep -q CMAKE Makefile; then rm -v Makefile; fi
	dh_auto_clean --parallel

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_compress:
	dh_compress -X.pro

=== debian/watch ===
version=3
opts=uversionmangle=s/(pre|rc)([^.]*)/~$1$2/ \
 http://sf.net/gnudatalanguage/gdl-(.*)\.tar\.gz
